<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "widget_url".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "WidgetUrl".
 *
 * Columns in table "widget_url" available as properties of the model,
 * followed by relations of table "widget_url" available as properties of the model.
 *
 * @property integer $id
 * @property integer $widget_id
 * @property string $url
 * @property string $date_added
 *
 * @property Widget $widget
 */
abstract class BaseWidgetUrl extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'widget_url';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'WidgetUrl|WidgetUrls', $n);
    }

    public static function representingColumn()
    {
        return 'url';
    }

    public function rules()
    {
        return array(
            array('widget_id, url, date_added', 'required'),
            array('widget_id', 'numerical', 'integerOnly' => true),
            array('url', 'length', 'max' => 255),
            array('id, widget_id, url, date_added', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'widget' => array(self::BELONGS_TO, 'Widget', 'widget_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'widget_id' => null,
            'url' => Yii::t('app', 'Url'),
            'date_added' => Yii::t('app', 'Date Added'),
            'widget' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('widget_id', $this->widget_id);
        $criteria->compare('url', $this->url, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
